FREECIV(6)

NAME
freeciv-ruleup - Update Freeciv rulesets

SYNOPSIS
freeciv-ruleup [option ...]

-h, --help
    Print a summary of the options

-F, --Fatal SIGNAL
    Raise a signal SIGNAL on failed assertion

-r, --ruleset RULESET Update RULESET

-o, --output DIRECTORY
    Create directory OUTPUT for output

-c, --clean
    Clean up the ruleset before saving it

DESCRIPTION
freeciv-ruleup updates rulesets compatible with previous freeciv-server(6) version to ones compatible with current version. It does that simply by loading and saving the ruleset. It can load ruleset in the format of previous freeciv version, and it saves in the format of current freeciv version. Because it's meant to load rulesets that are not meant to be used with current version of freeciv, one usually wants to set FREECIV_DATA_PATH environment variable to point to datadir of the old freeciv version before using it. By default it saves updated ruleset to directory named after ruleset name with prefix ".ruleup" added.

BUGS
Need to setup FREECIV_DATA_PATH to point to old freeciv version datadir makes using the tool somewhat cumbersome.

REPORTING BUGS
Report bugs at https://redmine.freeciv.org/projects/freeciv (but see above caveats).

SEE ALSO
freeciv-server(6) and the Client Manual at the Freeciv homepage.